//---------------------------------------------------------
//RG Basic Tools Collection
//Copyright © 2004 - 2009 Ronald D. Grindle
//
//This file is part of the Rslt services.
//
//Rslt services is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.
//
//Rslt services is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with Rslt services.  If not, see <http://www.gnu.org/licenses/>.
//---------------------------------------------------------

/*
 * Created on Jun 3, 2004
 *
 */
package com.qanavigation.Basics;

/**
 * @author Ronald D. Grindle
 * Copyright 2003 - 2009.
 * All rights reserved.
 *
 */
public final class RsltStatVal {

	public static final int isOK = 0;		// Everything is OK
	public static final int inError = 1;	// An error was detected
	public static final int isInit = 2;		// The result is initialized
	public static final int notInit = 3;	// The result is not initialized
	public static final int notFound = 4;	// The requested information was not found
	public static final int isEmpty = 5;	// The result is empty
	public static final int isDupli = 6;	// The operation resulted in a duplicate where a singular was expected.
	public static final int isAmbig = 7;	// The result is not unambiguous where it should be. 
	
	public static final String[] label = { "isOK", "inError", "isInit", "notInit", "notFound", "isEmpty", "IsDuplicate", "isAmbiguous" };

}
